/**
 * Copyright (c) HashiCorp, Inc.
 * SPDX-License-Identifier: MPL-2.0
 */
import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataHcpOrganizationConfig extends cdktf.TerraformMetaArguments {
}
/**
* Represents a {@link https://registry.terraform.io/providers/hashicorp/hcp/0.73.0/docs/data-sources/organization hcp_organization}
*/
export declare class DataHcpOrganization extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "hcp_organization";
    /**
    * Create a new {@link https://registry.terraform.io/providers/hashicorp/hcp/0.73.0/docs/data-sources/organization hcp_organization} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataHcpOrganizationConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataHcpOrganizationConfig);
    get name(): string;
    get resourceId(): string;
    get resourceName(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
